N-central Help

Patch management Windows Update Agent and OS requirements

For SolarWinds N-central agent to successfully patch a device, you must have one of the supported operating systems installed.

  • Microsoft Windows 7 SP1
  • Microsoft Windows 8
  • Microsoft Windows 8.1
  • Microsoft Windows 10
  • Microsoft Windows Server 2008 R2 SP1
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2012 R2 SP1
  • Microsoft Windows Server 2016

The following operating systems are not supported with SolarWinds N-central patch manager:

  • Microsoft Windows XP
  • Microsoft Windows Vista
  • Microsoft Windows Server 2003
  • Microsoft Windows Server 2008

Ensure the operating system is on the latest service pack available. This is critical for Windows 7 and Windows Server 2008 R2.

Windows Update Agent

The minimum version of the Windows Update Agent (WUA) must be greater than 7.6.7600.320. The base NT build version of windows should be 6.1 or later. Older versions of the base NT build cannot upgrade past version 7.6.7600.256 of the Windows Update Agent.

To determine the version of Windows Update Agent use the following procedure:

  1. In the File Explorer, navitage to C:\Windows\System32\ and locate the file wuaueng.dll.
  2. Right-click the file and click Properties.
  3. Click the Details tab, to find the Product Version.